<!DOCTYPE html>
<html lang="de" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <title>Registrieren</title>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="styles.css" rel="stylesheet" />
    <link href="btn_styles.css" rel="stylesheet" />
</head>

<body>
<!-- Responsive navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container px-5">
        <a class="navbar-brand bg-dark text-white" href="/index.html">Sharin' Drive</a>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">

                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Aktionen
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                            <li><a class="dropdown-item" href="/login">Home-Page</a></li>
                            <li><a class="dropdown-item" href="/fahrzeugadd">Fahrzeug hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listf">Fahrzeuge einsehen</a></li>
                            <li><a class="dropdown-item" href="/viewR">Reservierungen einsehen</a></li>
                            <li><a class="dropdown-item" href="/benutzeradd">Benutzer hinzufügen</a></li>
                            <li><a class="dropdown-item" href="/listb">Liste der Benutzer</a></li>
                            <li><a class="dropdown-item" href="/logout">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </ul>
        </div>


    </div>
</nav>


<div class="container py-5">
    <div class="row">
        <div class="col-2"></div>
        <div class="col">

            <form action="#" id="form" th:action="@{/benutzeradd}" th:object="${benutzer}" method="post">
                <div class="row py-2">
                    <div class="col">
                        <h1 class="h3 mb-3 fw-normal">Registrieren</h1>

                        <div class="form-floating py-2">
                            <input type="text" class="form-control" id="floatingFirstname" th:field="*{firstname}" required/>
                            <label for="floatingFirstname">Vorname</label>
                        </div>
                        <div class="form-floating py-2">
                            <input type="text" class="form-control" id="floatingName" th:field="*{lastname}" required/>
                            <label for="floatingName">Name</label>
                        </div>
                        <div class="form-floating py-2">
                            <input type="text" class="form-control" id="floatingMail" th:field="*{email}" required/>
                            <label for="floatingMail">E-Mail-Adresse</label>
                        </div>
                        <div class="form-floating">
                            <input type="hidden" class="form-control" value="MITGLIEDER" th:field="*{rolle}" required/>
                        </div>
                        <div class="form-floating py-2">
                            <input type="password" class="form-control" id="floatingPassword" th:field="*{pw}" required/>
                            <label for="floatingPassword">Passwort</label>
                        </div>
                        <div class="form-floating py-2">
                            <input type="date" class="form-control" id="floatingGeburtstag" th:field="*{geburtstagDatum}" required/>
                            <label for="floatingGeburtstag">Geburtstagsdatum</label>
                        </div>
                        <div class="form-floating py-2">
                            <input type="text" class="form-control" id="floatingAdresse" th:field="*{adr}" required/>
                            <label for="floatingAdresse">Adresse</label>
                        </div>
                        <div class="form-floating py-2">
                            <input type="number" class="form-control" id="floatingPlz" th:field="*{plz}" required/>
                            <label for="floatingPlz">Postleitzahl</label>
                        </div>


                        <button class="w-100 btn btn-lg btn-success" id="submit-button" type="button">Submit</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-2"></div>
    </div>
</div>


<footer class="footer">

    <p class="m-0 text-center ">Copyright &copy; Car Gateway 2022</p>

</footer>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>

<script>

    document.getElementById("submit-button").addEventListener('click',function ()
        {
            var birthday = document.getElementById("floatingGeburtstag").value;
            var getAge = Math.floor((new Date() - new Date(birthday).getTime()) / 3.15576e+10);
            if(getAge>=18)
            {
                document.getElementById("form").submit();
            }
            else{
                window.alert("Sie sind zu jung: "+getAge);
            }

        });



</script>
</body>
</html>
